import pytest

from univention.id_broker.pseudonyms_udm_host import (
    get_service_provider_attribute_dn,
    get_settings_data_content,
)
from univention.udm import UDM


@pytest.fixture()
def udm():
    return UDM.admin().version(2)


@pytest.fixture()
def service_providers() -> list:
    return get_settings_data_content(get_service_provider_attribute_dn()).keys()
